$(document).ready(function(){

	$.ajaxSetup({

	headers: {

        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')

    }});



	$('#subir-archivo').click(function(){

        carga();

		$.ajax({

			url: 'subir-archivo',

			type: 'GET',

			dataType: 'html',

		}).done(function(e){

			$('#page-wrapper').html(e);

			subir();

		}).fail(function(e){
            if (e.status==419 || e.status==401) {window.location = 'http://www.itzitacuaro.edu.mx/control_poa/';}

        //console.log(e);

        $('.modal-title').text('Mensaje');

        $('.mnsjPrincipal').text('Ocurrió un error.');

        $('#msjModalPrincipal').modal('show');

       }).always(function(){

            finaliza_carga();

        });

	

	});



function subir(){

	$('.btn-subir').click(function(){

        carga();

        var f = document.querySelector('#formFile');

		var data = new FormData($('#formFile')[0]);

    $avatarInput = $('#arc');

    $avatarForm = $('#formFile');

           var formData = new FormData();

    formData.append('arc', $avatarInput[0].files[0]);

     $('#errorArchivo').html('');



    $.ajax({

        url: $avatarForm.attr('action'),

        method: $avatarForm.attr('method'),

        data: data,

        processData: false,

        contentType: false,

        dataType: 'json',

    }).done(function(data){

        //console.log(data);



        //console.log(data);

        f.reset();

        if ((data.errors)) {

            $('#errorArchivo').html('');

            $('.modal-title').text('Archivo - Excel');

            $('.mnsjPrincipal').text(data.error);

            $('#msjModalPrincipal').modal('show');

        }else if (data.error) {

            $('#errorArchivo').html('');

            $('.modal-title').text('Archivo - Excel');

            $('.mnsjPrincipal').text(data.error);

            $('#msjModalPrincipal').modal('show');



        }else{

            $('#errorArchivo').html('');

            $('.modal-title').text('Archivo - Excel');

            $('.mnsjPrincipal').text(data.exito);

            $('#msjModalPrincipal').modal('show');

        }

               

        

    }).fail(function(e){
        if (e.status==419 || e.status==401) {window.location = 'http://www.itzitacuaro.edu.mx/control_poa/';}

        //console.log(e);

        $('#errorArchivo').html(e.responseJSON.errors.arc);

        /*$('.modal-title').text('Mensaje');

        $('.mnsjPrincipal').text('Corrige los errores.');

        $('#msjModalPrincipal').modal('show');   */

       }).always(function(){

        finaliza_carga();

      });

	

	});

}





    $('#subir-archivo-plan').click(function(){

        carga();

        $.ajax({

            url: 'subir-archivo-plan',

            type: 'GET',

            dataType: 'html',

        }).done(function(e){

            $('#page-wrapper').html(e);

            subirPlan();

        }).fail(function(e){
            if (e.status==419 || e.status==401) {window.location = 'http://www.itzitacuaro.edu.mx/control_poa/';}

        //console.log(e);

        $('.modal-title').text('Mensaje');

        $('.mnsjPrincipal').text('Ocurrió un error.');

        $('#msjModalPrincipal').modal('show');

       }).always(function(){

            finaliza_carga();

        });

    });



function subirPlan(){

    $('.btn-subir').click(function(){

        carga();

        var f = document.querySelector('#formFile');

        var data = new FormData($('#formFile')[0]);

    $avatarInput = $('#arc');

    $avatarForm = $('#formFile');

           var formData = new FormData();

    formData.append('arc', $avatarInput[0].files[0]);

     $('#errorArchivo').html('');

    $.ajax({

        url: $avatarForm.attr('action'),

        method: $avatarForm.attr('method'),

        data: data,

        processData: false,

        contentType: false,

        dataType: 'json',

    }).done(function(data){

        f.reset();

        if ((data.errors)) {

            $('#errorArchivo').html('');

            $('.modal-title').text('Archivo - Excel');

            $('.mnsjPrincipal').text(data.error);

            $('#msjModalPrincipal').modal('show');

        }else if (data.error) {

            $('#errorArchivo').html('');

            $('.modal-title').text('Archivo - Excel');

            $('.mnsjPrincipal').text(data.error);

            $('#msjModalPrincipal').modal('show');

        }else{

            $('#errorArchivo').html('');

            $('.modal-title').text('Archivo - Excel');

            $('.mnsjPrincipal').text(data.exito);

            $('#msjModalPrincipal').modal('show');

        }       

    }).fail(function(e){
        if (e.status==419 || e.status==401) {window.location = 'http://www.itzitacuaro.edu.mx/control_poa/';}

        //console.log(e);

        $('#errorArchivo').html(e.responseJSON.errors.arc);

        /*$('.modal-title').text('Mensaje');

        $('.mnsjPrincipal').text('Corrige los errores.');

        $('#msjModalPrincipal').modal('show');   */

       }).always(function(){

        finaliza_carga();

      });

    

    });

    }



});



function carga(){ $('#loading').fadeIn( 400, "linear"); }

  function finaliza_carga(){ $('#loading').fadeOut( 10, "linear"); }